<?xml version="1.0" encoding="utf-8"?><!--
 This file is part of Adblock Plus <https://adblockplus.org/>,
 Copyright (C) 2006-present eyeo GmbH

 Adblock Plus is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.

 Adblock Plus is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Adblock Plus.  If not, see <http://www.gnu.org/licenses/>.
  -->

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="org.adblockplus.adblockplussbrowser.preferences.ui.allowlist.AllowlistViewModel" />
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/allowlist_list_header"
                    style="@style/CustomPreferenceCategoryTitleTextStyle"
                    allowlistHeaderVisibility="@{viewModel.items}"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/preferences_allowlist_header"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="@string/preferences_allowlist_header" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/allowlist_list"
                    style="@style/PreferenceScreen"
                    allowlistItems="@{viewModel.items}"
                    divider="@{@drawable/divider}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:paddingTop="0dp"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/other_subscriptions_custom_item" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="32dp"
                    android:gravity="top"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/allowlist_hint"
                        style="@style/CustomPreferenceSummaryTextStyle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableStart="@drawable/outline_info_24"
                        android:drawablePadding="2dip"
                        android:gravity="center"
                        android:text="@string/delete_swipe_hint" />

                </LinearLayout>

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/allowlist_add_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|bottom"
            android:layout_margin="16dp"
            android:backgroundTint="@color/ribbon"
            android:contentDescription="@string/preferences_allowlist_title"
            android:src="@drawable/ic_baseline_add_24"
            app:borderWidth="0dp"
            app:layout_behavior="org.adblockplus.adblockplussbrowser.base.view.ScrollFabBehavior" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>
